Summary: 2-D drawling tool
Summary(ja): 2ɥ󥰥ե

Name: tgif
%define eversion 4.1.40
Version: %{eversion}
Release: 1d
Source0: ftp://bourbon.cs.umd.edu/pub/tgif/tgif-%{eversion}.tar.gz
%define jadir tgif-4.1ja5
Source1: %{jadir}.tar.gz
Source2: tgif-4.1.40.ja.po
Patch1: tgif-4.1.39-fontcheck.patch
Patch2: tgif-4.1.26-xim.patch
Patch3: tgif-4.1.35-overthespot_fix.patch
URL: http://bourbon.cs.umd.edu:8001/tgif/
Copyright: distributable for non-commercial use
Group: Applications/Multimedia
Buildroot: %{_tmppath}/%{name}-root

%description
tgif  -  Xlib based interactive 2-D drawing facility under
X11.  Supports hierarchical construction of  drawings  and
easy  navigation  between  sets  of drawings.  It's also a
hyper-graphics (or hyper-structured-graphics)  browser  on
the World-Wide-Web.

%description -l ja
X ưɥ󥰥ե tgif Ǥ. EPS, PostScript, X11 bitmap 
ǽϤǤޤ. kinput2  xwnmo ȤܸϤ뤳Ȥ
Ǥޤ. 

%prep
rm -rf ${RPM_BUILD_ROOT}
%setup -q -a 1 -n ${RPM_PACKAGE_NAME}-%{eversion}
%patch1 -p1 -b .fontcheck
%patch2 -p1 -b .xim
%patch3 -p1 -b .overthespot

rm -f po/ja/ja.po
cp %{SOURCE2} po/ja/ja.po

%build
rm -rf Tgif.tmpl
cp Tgif.tmpl-linux Tgif.tmpl
xmkmf
%ifos darwin
make MOREDEFINES="-D_NO_RAND48 -DOVERTHESPOT -DUSE_XT_INITIALIZE -D_ENABLE_NLS \
	-DPRINT_CMD=\\\"lpr\\\" -DA4PAPER" TGIFDIR=%{_prefix}/share/tgif \
	LOCALEDIR=%{_prefix}/share/locale \
	LOCAL_LIBRARIES="-lXmu -lXt -lX11 -lSM -lICE -lintl" tgif
%else
make MOREDEFINES="-DOVERTHESPOT -DUSE_XT_INITIALIZE -D_ENABLE_NLS \
	-DPRINT_CMD=\\\"lpr\\\" -DA4PAPER" TGIFDIR=%{_prefix}/share/tgif \
	LOCAL_LIBRARIES="-lXmu -lXt -lX11 -lSM -lICE -lintl" tgif
%endif

(cd po
xmkmf 
make Makefile
make Makefiles
make depend
make all
)

%install
make DESTDIR=$RPM_BUILD_ROOT TGIFDIR=%{_prefix}/share/tgif install
make DESTDIR=$RPM_BUILD_ROOT install.man
rm -f $RPM_BUILD_ROOT%{_prefix}/share/tgif/*.obj
install -m 644 *.obj $RPM_BUILD_ROOT%{_prefix}/share/tgif

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ja/app-defaults/
install -m 644 %{jadir}/C/Tgif.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Tgif
install -m 644 %{jadir}/ja/Tgif.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ja/app-defaults/Tgif

(cd po
#install -d $RPM_BUILD_ROOT%{_prefix}/share/locale/ja/LC_MESSAGES
#install -m644 ja/ja.mo $RPM_BUILD_ROOT%{_prefix}/share/locale/ja/LC_MESSAGES/tgif.mo
make DESTDIR=$RPM_BUILD_ROOT SYSNLSDIR=%{_prefix}/share/locale install 
)

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Graphics
cat  > $RPM_BUILD_ROOT/etc/X11/applnk/Graphics/tgif.desktop <<EOF
[Desktop Entry]
Name=Tgif
Comment=2-D drawling tool
Comment[ja]=2ɥ󥰥ե
Exec=tgif
Terminal=0
Type=Application
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Copyright HISTORY README* VMS_MAKE_TGIF.COM example.tex 
%doc %{jadir}/README.jp License
%config(missingok) /etc/X11/applnk/Graphics/tgif.desktop
/usr/X11R6/bin/tgif
/usr/X11R6/man/man1/tgif.1*
/usr/X11R6/lib/X11/doc/html/tgif.1.html
%{_prefix}/share/tgif/
%{_prefix}/share/locale/*/LC_MESSAGES/tgif.mo
/usr/X11R6/lib/X11/app-defaults/Tgif
/usr/X11R6/lib/X11/ja/app-defaults/Tgif

%changelog
* Sat Jan 03 2003 Keisuke Fujii <keisuke.fujii@kek.jp>
- 4.1.40-1c: 1st release built on MacOS X Release 10.3

* Thu Oct 11 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 4.1.40-1b: 1st release built on MacOS X Release 10.1

* Wed Apr 25 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 4.1.40-1a: 1st release built on MacOS X Release 10.0.01

* Thu Dec  7 2000 Jun Nishii <jun@vinelinux.org>
- 4.1.40-0vl1

* Tue Oct  3 2000 Jun Nishii <jun@vinelinux.org>
- 4.1.39-0vl2
- added documents

* Sun Sep 10 2000 Jun Nishii <jun@vinelinux.org>
- 4.1.39-0vl1

* Thu Aug 17 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added overthespot_fix patch for XIM with OverTheSpot style.

* Fri Aug 11 2000 Jun Nishii <jun@vinelinux.org>
- 4.1.36-0vl1

* Mon Aug  7 2000 Jun Nishii <jun@vinelinux.org>
- 4.1.35-0vl1

* Sat Jul 15 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 4.1.34-0vl2
- modified %files section to handle compressed man page

* Mon May  8 2000 Jun Nishii <jun@vinelinux.org>
- updated 4.0.33

* Thu Apr 20 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated 4.0.29
- modified fontcheck patch to check signgle byte font, too.

* Thu Mar  9 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated 4.0.28

* Mon Feb 28 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated 4.0.27

* Thu Feb 24 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added tgif wmconfig, desktop file

* Fri Feb 18 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added xim unofficial patch from fj.sources to fix a bug about XIM.

* Wed Feb 16 2000 Jun Nishii <jun@vinelinux.org>
- 4.1.26-0vl3
- bug fix in tgif-4.1.26-fontcheck.patch 

* Mon Feb 14 2000 Jun Nishii <jun@vinelinux.org>
- 4.1.26-0vl2
- merge tgif-4.1.26-fontcheck.patch by Mr. Yasuyuki Furukawa 
  which obsoletes trigger for Dynafonts and TrueTypeFonts !

* Thu Jan 20 2000 Jun Nishii <jun@vinelinux.org>
- 4.1.26-0vl2
- added trigger for Dynafonts and TrueTypeFonts

* Thu Jan 20 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 4.1.26
- change ja resource from ja_JP.ujis/app-defaults to ja/app-defaults
- modified font setting

* Wed Nov 17 1999 Jun Nishii <jun@flatout.org>
- updated to 4.1.25

* Thu Nov 4 1999 Jun Nishii <jun@flatout.org>
- updated to 4.1.23

* Thu Oct 28 1999 Jun Nishii <jun@flatout.org>
- rel.4
- update ja.po
- more gettextize in choice.c and menu.c

* Wed Oct 27 1999 Jun Nishii <jun@flatout.org>
- rel.3 
- merge messages in strtbl.c and added japanese catalog

* Tue Oct 26 1999 Jun Nishii <jun@flatout.org>
- rel.2
- enable nls in status buffer and added japanese catalog

* Tue Oct 26 1999 Jun Nishii <jun@flatout.org>
- updated to 4.1.22

* Sun Aug 8 1999 Norihito Ohmori <ohmori@flatout.org>
- archive format change to bzip2
- rebuild for glibc-2.1.x

* Wed Jun 30 1999 Jun Nishii <jun@flatout.org>
- updated to 4.1.16

* Tue Apr 15 1999 Jun Nishii <jun@flatout.org>
- updated to 4.1.7

* Tue Apr 8 1999 Jun Nishii <jun@flatout.org>
- updated to 4.1.6
- Our menufontset-nls patch and xim patch were merged in original source!

* Tue Mar  9 1999 MATSUMOTO Shoji <vine@flatout.org>
- vertical font indicator bug fix
- modify resource and tgif.sh

* Mon Mar 8 1999 Jun Nishii <jun@flatout.org>
- updated to 4.1

* Mon Mar 8 1999 Jun Nishii <jun@flatout.org>
- bug fix in showing shortcut key in menu
- modify document

* Wed Mar  4 1999 MATSUMOTO Shoji <vine@flatout.org>
- set Tgif.InitialFont Ryumin

* Wed Mar  3 1999 MATSUMOTO Shoji <vine@flatout.org>
- add XIM OverTheSpot patch
- modify Tgif-ja.ad

* Mon Mar 2 1999 Jun Nishii <jun@flatout.org>
- updated to 4.0.18

* Mon Mar 1 1999 Jun Nishii <jun@flatout.org>
- make patch to support fontset and nls
- change version name as 4.0.17_jp 

* Sat Feb 27 1999 Jun Nishii <jun@flatout.org>
- modify Tgif-ja.ad (use A4,cm,color-icon,etc...)
- correct document

* Wed Feb 24 1999 Jun Nishii <jun@flatout.org>
- updated to ver. 4.0.17 
- make wrapper to read Tgif-ja

* Sat Feb 20 1999 Jun Nishii <jun@flatout.org>
- updated to ver. 4.0.16

* Tue Feb 16 1999 Jun Nishii <jun@flatout.org>
- build ver. 4.0.14 for Vine Linux
